// PPCDlg.h : header file
//

#if !defined(AFX_PPCDLG_H__9C3C0BBF_F4B0_49A1_95F0_20EF85EE67F9__INCLUDED_)
#define AFX_PPCDLG_H__9C3C0BBF_F4B0_49A1_95F0_20EF85EE67F9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CPPCDlg dialog

#include "Woosim_Printer_LIB.h"

#pragma comment(lib,"WoosimPrinter.lib")

class CPPCDlg : public CDialog
{
// Construction
public:
	CPPCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPPCDlg)
	enum { IDD = IDD_PPC_DIALOG };
	CComboBox	m_ccb4;
	CComboBox	m_ccb3;
	CComboBox	m_ccb2;
	CComboBox	m_ccb1;
	CString	m_addr;
	CString	m_strRecvData;
	CString	m_portNum;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPPCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPPCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButton1();
	afx_msg void OnButton12();
	afx_msg void OnButton2();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton3();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	afx_msg void OnSelchangeCombo1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PPCDLG_H__9C3C0BBF_F4B0_49A1_95F0_20EF85EE67F9__INCLUDED_)
